<?php
/**
 * This script forwards requests made in main.js to the undocumented 
 * Google Suggest API and transforms the returned XML to JSON.
 */  

$allowedArgs = array('q' => null, 'cp' => null, 'output' => null,);
$args = array_intersect_key($_GET, $allowedArgs);
$url = 'http://clients1.google.com/complete/search?' . http_build_query($args, '', '&');

$handle = curl_init($url);
curl_setopt($handle, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($handle);
curl_close($handle);

$suggestions = array();
$xml = new SimpleXMLElement($response);
foreach($xml->CompleteSuggestion as $item) {
	$suggestions[] = array(
		'suggestion' => (string) $item->suggestion['data'],
		'num_queries' => (float) $item->num_queries['int'],
	);
}

echo json_encode($suggestions);